package com.hfkj.sysenum;

import com.hfkj.sysenum.order.OrderAfterSalesApplyTypeEnum;
import lombok.Getter;

import java.util.Objects;

/**
 * @className: UserCardTypeEnum
 * @author: HuRui
 * @date: 2024/5/17
 **/
@Getter
public enum UserCardTypeEnum {

    /**
     * 贵州汇联通工会卡
     */
    type1(1, "贵州汇联通工会卡"),
    ;

    private int code;

    private String name;


    UserCardTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public static UserCardTypeEnum getData(Integer type) {
        for (UserCardTypeEnum ele : values()) {
            if(Objects.equals(type,ele.getCode())) return ele;
        }
        return null;
    }

}
